## org.osgi.service.subsystem
Class SubsystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.osgi.service.subsystem.SubsystemException

All Implemented Interfaces:
  Serializable

    public class SubsystemException

extends RuntimeException

A Subsystem exception used to indicate a problem.

Version:
  $Id: 06542037c2bdaa7d328a368223b4f71b7a1c3dea $
See Also:
  Serialized Form

Constructor Summary
`SubsystemException()` Construct a Subsystem exception with no message.
`SubsystemException(String message)` Construct a Subsystem exception specifying a message.
`SubsystemException(String message, Throwable cause)` Construct a Subsystem exception specifying a message and a cause.
`SubsystemException(Throwable cause)` Construct a Subsystem exception specifying a cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubsystemException

    public SubsystemException()

  Construct a Subsystem exception with no message.

### SubsystemException

    public SubsystemException(String message)

  Construct a Subsystem exception specifying a message.

  Parameters:
    `message` - The message to include in the exception.

### SubsystemException

    public SubsystemException(Throwable cause)

  Construct a Subsystem exception specifying a cause.

  Parameters:
    `cause` - The cause of the exception.

### SubsystemException

    public SubsystemException(String message,
                              Throwable cause)

  Construct a Subsystem exception specifying a message and a cause.

  Parameters:
    `message` - The message to include in the exception.
    `cause` - The cause of the exception.

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.